Page MenuHomePhabricator

Apertium translation fails with sections with references
Closed, ResolvedPublic

Description

For example Poetry en->es:

Cxserver response is

TypeError: Cannot read property 'attributes' of null
    at Parser.onopentag (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/lineardoc/Parser.js:132:29)
    at emit (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/node_modules/sax/lib/sax.js:640:35)
    at emitNode (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/node_modules/sax/lib/sax.js:645:5)
    at openTag (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/node_modules/sax/lib/sax.js:841:5)
    at Parser.write (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/node_modules/sax/lib/sax.js:1404:13)
    at Apertium.buildSourceDoc (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/mt/MTClient.js:368:10)
    at Apertium.translateHtml (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/mt/MTClient.js:80:8)
    at Apertium.translate (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/mt/MTClient.js:43:16)
    at MWReference.<anonymous> (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/translationunits/MWReference.js:48:60)
    at next (native)
    at resume (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/util.js:277:21)
    at resumeNext (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/util.js:287:26)
    at /srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/util.js:289:3
    at spawn (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/util.js:272:9)
    at MWReference.adapt (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/util.js:301:10)
    at Doc.<anonymous> (/srv/deployment/cxserver/deploy-cache/revs/3cb9a219599c91befba2a8adc581a6a32def0595/src/lib/lineardoc/Doc.js:270:36)

Details

Related Gerrit Patches:
mediawiki/services/cxserver : masterFix error in Parser.js while parsing small sections

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2018, 7:26 AM

May be happens after deployment of 5ed7dc1b9f33dd27f1a4a411d230226c4c7c0b07 (code points there) but I can't produce it in Local with given example.

santhosh claimed this task.Jul 5 2018, 9:46 AM

Change 443929 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Fix error in Parser.js while parsing small sections

https://gerrit.wikimedia.org/r/443929

santhosh triaged this task as High priority.Jul 5 2018, 9:47 AM
santhosh moved this task from Backlog to In Review on the Language-2018-July-September board.

Change 443929 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Fix error in Parser.js while parsing small sections

https://gerrit.wikimedia.org/r/443929

Mentioned in SAL (#wikimedia-operations) [2018-07-06T05:00:17Z] <kartik@deploy1001> Started deploy [cxserver/deploy@6f9fcce]: Update cxserver to bfc9c84 (T198830)

Mentioned in SAL (#wikimedia-operations) [2018-07-06T05:03:43Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@6f9fcce]: Update cxserver to bfc9c84 (T198830) (duration: 03m 26s)

Arrbee closed this task as Resolved.Jul 16 2018, 7:11 AM